Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class ValidatorResponse

    java.lang.Object
      org.deegree.portal.owswatch.ValidatorResponse

All Implemented Interfaces:
  Serializable

    public class ValidatorResponse

extends Object
implements Serializable

Data class that holds the response of execute test that tests a certain service.

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`ValidatorResponse(String message, Status status)` Constructor

Method Summary
`long` | `getLastLapse()`
`Date` | `getLastTest()`
`String` | `getMessage()`
`Status` | `getStatus()`
`void` | `setLastLapse(long lastLapse)`
`void` | `setLastTest(Date lastTest)`
`void` | `setMessage(String message)`
`void` | `setStatus(Status status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorResponse

    public ValidatorResponse(String message,
                             Status status)

  Constructor

  Parameters:
    `message` -
    `status` -

Method Detail

### getLastLapse

    public long getLastLapse()

  Returns:
    lastTest Lapse

### setLastLapse

    public void setLastLapse(long lastLapse)

  Parameters:
    `lastLapse` -

### getLastTest

    public Date getLastTest()

  Returns:
    last test Date

### setLastTest

    public void setLastTest(Date lastTest)

  Parameters:
    `lastTest` -

### getMessage

    public String getMessage()

  Returns:
    last message

### setMessage

    public void setMessage(String message)

  Parameters:
    `message` -

### getStatus

    public Status getStatus()

  Returns:
    status of the last test

### setStatus

    public void setStatus(Status status)

  Parameters:
    `status` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org